### Method

# Soup Message is_keepalive

#### Declaration [src]

    gboolean
    soup_message_is_keepalive (
      SoupMessage* msg
    )

#### Description [src]

Determines whether or not `msg`‘s connection can be kept alive for further requests after processing `msg`.

The result is based on the HTTP version, Connection header, etc.

#### Return value

Returns: | `gboolean`
| `TRUE` or `FALSE`.